// Borrowed from Schiffman's Nature of Code Cantor example

// Where to put the lines
float x;
float y;

void setup() {
  size(800, 300);
}

void draw() {
  background(255);
  strokeWeight(2);
  
  // Call cantor with starting location
  cantor(10, 10, 780);
}

// This calls itself recursively
void cantor(float x, float y, float len) {
  // Exit condition!
  if (len >= 1) {
    // Draw the line with the specified length
    line(x, y, x+len, y);
    // Move down 50 pixels for drawing the next lines
    y += 50;
    // Draw another line with 1/3 of the original length
    cantor(x, y, len/3);
    // Draw yet another line 1/3 of the length but moved to the right
    cantor(x+len*2/3, y, len/3);
  }
}

